ChangeSet 1.1608.97.5, 2004/03/19 14:07:09-08:00, willy@debian.org

[PATCH] PCI: insert_resource can succeed and return an error

If we start again, we can return an error even if we were successful.
Reset the result to 0 before beginning again.  Why don't we use a
tailcall here?


 kernel/resource.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/kernel/resource.c b/kernel/resource.c
--- a/kernel/resource.c	Fri Mar 19 15:21:16 2004
+++ b/kernel/resource.c	Fri Mar 19 15:21:16 2004
@@ -335,6 +335,7 @@
 	/* existing resource overlaps end of new resource */
 	if (next->end > new->end) {
 		parent = next;
+		result = 0;
 		goto begin;
 	}
 
